# GLM: glm::core::type Namespace Reference

# glm::core::type Namespace Reference

Scalar, vectors and matrices from section 4.1.2 Booleans, 4.1.3 Integers section, 4.1.4 Floats section, 4.1.5 Vectors and section 4.1.6 Matrices of GLSL 1.30.8 specification. More...

## Namespaces

namespace | matrix

| Matrix types from section 4.1.6 of GLSL 1.30.8 specification.
namespace | scalar

| Scalar types from section 4.1.2 Booleans, 4.1.3 Integers and 4.1.4 Floats of GLSL 1.30.8 specification.
namespace | vector

| Vector types from section 4.1.5 of GLSL 1.30.8 specification.

## Detailed Description

Scalar, vectors and matrices from section 4.1.2 Booleans, 4.1.3 Integers section, 4.1.4 Floats section, 4.1.5 Vectors and section 4.1.6 Matrices of GLSL 1.30.8 specification.

This namespace resolves precision qualifier define in section 4.5 of GLSL 1.30.8 specification.